Export (0) Print
Expand All

Install the Silverlight 2 tools and runtime

This page applies to Silverlight 2 projects only

To create a Silverlight 2 project in Microsoft Visual Studio 2008, or to open a Silverlight 2 project in Visual Studio 2008 that was created in Microsoft Expression Blend 2 with Service Pack 1, install the Silverlight tools for Visual Studio.

To view Silverlight 2 applications in your browser, install the runtime viewer.

  1. Make sure Visual Studio 2008 is already installed.

  2. Uninstall any previous versions of the Silverlight tools.

  3. On the Microsoft Download Center, locate the download page for the Microsoft Silverlight Tools for Visual Studio.

  4. Click the Download button and follow the installation instructions.

    Dd185506.alert_note(en-us,Expression.10).gifNote:

    The Silverlight 2 runtime viewer and the Silverlight 2 SDK are installed as part of this install.

  1. Browse to the Get Started with Silverlight website.

  2. On the right side under Install Silverlight, click the button that corresponds to your version of Silverlight and your operating system.

Troubleshooting

  • If you get an error about using Silverlight in browsers that run in 64-bit mode, open a new instance of your browser, either from the Start menu, the desktop, or from the 32-bit program files folder (for example, C:\Program Files (x86)\Internet Explorer\iexplore.exe). You can then visit the same page in the new browser window.

  • If you cannot view your Silverlight 2 application in your browser, you might not have the version of the Silverlight runtime viewer that is required by your application.

    Dd185506.alert_caution(en-us,Expression.10).gifImportant:

    The Silverlight 2 runtime viewer is installed along with the Silverlight 2 SDK when you install Expression Blend 2 SP1. Expression Blend uses this version of the runtime to display your project in Design view, but when you test your Silverlight 2 application, the application will be rendered using the version of Silverlight that your browser uses. Your browser might use a version of the runtime that is more recent than the version that was installed with the service pack if you have visited a website that required a newer version of the runtime.

To compare the version of the Silverlight runtime viewer with the version required by your application

  1. Find the version of the Silverlight runtime viewer that is used by your browser by looking at the name of the subfolder under C:\Program Files\Microsoft Silverlight (or C:\Program Files (x86)\Microsoft Silverlight on a 64-bit computer).

  2. Find the version of Silverlight that your application requires by opening the AppManifest.xaml file in the bin/Debug subfolder that appears in your project folder after you build your project. The version of Silverlight required by your application is identified in the RuntimeVersion attribute in the AppManifest.xaml file.

    If your browser is using an older runtime than the version that is required by your application, update the Silverlight 2 runtime at the Get Started with Silverlight website. You might be asked to reboot your computer for the changes to take effect.

    Dd185506.alert_tip(en-us,Expression.10).gifTip:

    For more help with Silverlight applications, see the Silverlight Forums website.

Community Additions

ADD
Show:
© 2014 Microsoft